<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.modules.worksendmessage.dao.WorkSendMessageDetailDao">

	<insert id="batchInsert" parameterType="java.util.Map">
		INSERT INTO work_send_message_detail
		(message_id ,handler_id, flag)
		VALUES
		<foreach collection="handlerList" item="linkman" separator=",">
			( #{messageId}, #{linkman.id}, #{flag})
		</foreach>
	</insert>

	<delete id="deleteHandlers">
		DELETE FROM work_send_message_detail
		WHERE message_id = #{messageId}
		AND flag = #{flag}
	</delete>
</mapper>